package net.brokenmoon.afloydwiremod;

import net.brokenmoon.afloydwiremod.item.ToolWiring;
import net.brokenmoon.afloydwiremod.tile.ChipTile;
import net.brokenmoon.afloydwiremod.item.ToolProgrammer;
import net.brokenmoon.afloydwiremod.tile.RedstoneLinkTile;
import net.fabricmc.api.ModInitializer;
import net.minecraft.src.Block;
import net.minecraft.src.Item;
import net.minecraft.src.Material;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import turniplabs.halplibe.helper.BlockHelper;
import turniplabs.halplibe.helper.ItemHelper;


public class WireMod implements ModInitializer {
    public static final String MOD_ID = "afloydwiremod";
    public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);

    public static Block ChipTile = BlockHelper.createBlock(MOD_ID, new ChipTile(905, Material.iron), "chipTile", "testTexture.png", Block.soundMetalFootstep,5, 5, 0 );

    public static Item ToolProgrammer = ItemHelper.createItem(MOD_ID, new ToolProgrammer(906), "toolProgrammer", "testTexture.png");
    public static Item ToolWiring = ItemHelper.createItem(MOD_ID, new ToolWiring(907), "toolWiring", "testTexture.png");

    public static Block LinkTileInactive = BlockHelper.createBlock(MOD_ID, new RedstoneLinkTile(908, Material.iron, false), "linkTile", "testTexture.png", Block.soundStoneFootstep, 5, 5, 0);
    public static Block LinkTileActive = BlockHelper.createBlock(MOD_ID, new RedstoneLinkTile(909, Material.iron, true), "linkTile", "testTexture.png", Block.soundStoneFootstep, 5, 5, 0);

    @Override
    public void onInitialize() {
        LOGGER.info("WireMod initialized.");
    }
}
